---
apiVersion: k8s.mariadb.com/v1alpha1
kind: Backup
metadata:
  name: full-backup
  namespace: {{ k8s_mariadbop_namespace }}
spec:
  mariaDbRef:
    name: mariadb
  inheritMetadata:
    annotations:
      database.myorg.io: mariadb
  storage:
    volume:
      persistentVolumeClaim:
        claimName: mariabackup
  env:
    - name: TZ
      value: SYSTEM
    - name: MARIADB_ROOT_PASSWORD
      valueFrom:
        secretKeyRef:
          key: rootpassword
          name: dbpass
    - name: MARIADB_PASSWORD
      valueFrom:
        secretKeyRef:
          key: password
          name: dbpass
  envFrom:
    - configMapRef:
        name: mariadb
  args:
    - --single-transaction
    - --all-databases
    - --verbose
  resources:
    requests:
      cpu: 100m
      memory: 128Mi
    limits:
      cpu: 300m
      memory: 512Mi
